@ECHO OFF

REM If your zdoom.ini file is in a location other than the default, put the path to your ZDoom .ini file here:
SET ZDoomINI="..\zdoom-%username%.ini"

REM Check to see if Wolf3D .ini file is already there
IF EXIST "zdoom-%username%-SoD.ini" (
	REM If so, run normally
	start ..\gzdoom.exe -config "zdoom-%username%-Sod.ini" -iwad Wolf3D.pk3 -file Wolf3D_*.pk3 SoD.pk3 Wolf3DGL.pk3 %*
) ELSE (
	REM If not, do initial setup for first run
	copy %ZDoomINI% "zdoom-%username%-SoD.ini"
	start ..\gzdoom.exe -config "zdoom-%username%-Sod.ini" +exec Wolf3D_SoD.cfg -iwad Wolf3D.pk3 -file Wolf3D_*.pk3 SoD.pk3 Wolf3DGL.pk3 %*
)